Subject: [core] draft-ietf-core-coap-09 - Conditional requests

From: Klaus Hartke <[email-masked]>
Date: Mon, 16 Apr 2012 17:53:16 +0200

Two questions related to conditional requests:

* The ETag option in requests was added as a slimmed down version of
HTTP's If-None-Match header field. Now that there is a If-None-Match
option in CoAP, should the two options be unified?

* The If-Match option can occur multiple times and contains either an
etag or a special value. The If-None-Match option can occur only once
and contains always the special value. What is the reason for not
allowing etags in the If-None-Match option? The implementations should
be largely the same.

And a small editorial issue:

* The first time conditional requests appear in the document is in the
definition of the If-Match option. That's may be a bit late; I suggest
the addition of a "Conditional requests" section before or after
section 5.6 (Caching).

Klaus